summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2023-10-27 20:07:57 +0200
committerRaymaekers Luca <raymaekers.luca@gmail.com>2023-10-27 20:07:57 +0200
commit80a61f5f39b496507468a3b4ed474899880b9776 (patch)
tree237f703d26db19b06735171a3215df6e1edb8daf
parent973e22d8f65f952188272b76167beca816501064 (diff)
added new scripts
-rwxr-xr-xbin/guiscripts/mlight10
-rwxr-xr-xbin/guiscripts/plight5
-rwxr-xr-xbin/guiscripts/ppamixer5
3 files changed, 20 insertions, 0 deletions
diff --git a/bin/guiscripts/mlight b/bin/guiscripts/mlight
new file mode 100755
index 0000000..41d6f90
--- /dev/null
+++ b/bin/guiscripts/mlight
@@ -0,0 +1,10 @@
+#!/bin/sh
+light="$(light -G)"
+light="$(printf '30
+60
+90' | commander -c -w 6 -y 3 -p "(${light%.*})")"
+[ "$light" ] || exit 1
+light -S "$light"
+
+[ -p ~/.config/wob/pipe ] &&
+ printf '%s\n' "$light" > ~/.config/wob/pipe
diff --git a/bin/guiscripts/plight b/bin/guiscripts/plight
new file mode 100755
index 0000000..459bbfa
--- /dev/null
+++ b/bin/guiscripts/plight
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+light $1 $2
+light="$(light -G)"
+printf '%s\n' "${light%.*}" > ~/.config/wob/pipe
diff --git a/bin/guiscripts/ppamixer b/bin/guiscripts/ppamixer
new file mode 100755
index 0000000..e7d583a
--- /dev/null
+++ b/bin/guiscripts/ppamixer
@@ -0,0 +1,5 @@
+#!/bin/sh
+pamixer $1 $2
+volume="$(pamixer --get-volume)"
+>&2 printf "volume: %s\n" "$volume"
+printf '%s\n' "$volume" > ~/.config/wob/pipe